News:

Want to get involved in developing SMF, then why not lend a hand on our github!

Main Menu

Upgrade options

Started by Teknoskillz, August 27, 2021, 01:43:25 PM

Previous topic - Next topic

Teknoskillz

I'm volunteering to help a site using 1.1.21 possibly upgrade and port other add-ons if possible
into a newer version, as they are getting alot of errors throughout the site.

Whats the best way to go about this? I think they have looked into this before and sounds like someone said the SQL DB would not be able to port from the old to the new, not 100% sure.

shadav

you would need to do the 2.0.18 Large upgrade which would reset the forum to basic/default, the database will be upgraded so no posts or anything like that will be lost

however any mods and themes for smf 1.x will not work with smf 2.x so you would need to find the themes and mods they are currently using and see if they have been updated to smf 2.x and download the current version of those mods and themes and install them
or find a new theme or mod that does what the old one did that works with 2.0.18

backup the entire site first (files and database) through the hosting account not smf admin

Shades.

ShadesWeb.com - Custom Logos - My Themes on SMF | My Themes on ShadesWeb
https://shadesweb.com

BikerHound.com - Sniffing out the road ahead
https://bikerhound.com

Dream as if you'll live forever; Live as if you'll die today. - James Dean

Teknoskillz

Thanks, I just learned the server runs apache, and have worked with it before in a Linux environment so I guess they are running linux good chance.

Teknoskillz

Another question -

Regarding legacy browsers back to Win XP, Vista, 7 and 8
will the upgrade still support those, or is that more or less
up to the OS running on the server , apache.....

Illori

apache is not the operating system running on the server it is one of the components that is running on the server that makes the website operate.

ideally the browser should not matter.

also just because you are running apache, does not mean it is a linux server either.

Kindred

However.... IIRC, SMF 2.0.x only technically supports IE (since it was discontinued years ago and doesn't match modern browser standards)

SMF 2.1 only provides basic (if any) support for legacy IE.
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Advertisement: